Bug 837466 - virsh report error when quit virsh connection
virsh report error when quit virsh connection
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
: Regression
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-07-03 23:15 EDT by Huang Wenlong
Modified: 2013-10-20 17:45 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:18:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huang Wenlong 2012-07-03 23:15:15 EDT
Description of problem:
virsh report error when quit virsh connection

Version-Release number of selected component (if applicable):
libvirt-0.9.13-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# virsh
Welcome to virsh, the virtualization interactive terminal.

Type: 'help' for help with commands
'quit' to quit

2.virsh # quit

error: Failed to create '/root/.cache/libvirt/virsh': No such file or
directory



Actual results:
as step 2

Expected results:
no error

Additional info:
Comment 3 Osier Yang 2012-07-10 09:39:35 EDT
Commit in upstream: ea9509b9, move to POST.
Comment 5 zhpeng 2012-08-06 01:19:24 EDT
Test it with libvirt-0.10.0-0rc0.el6:

# rm -rf .cache/
# virsh 
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # quit

# ll .cache/libvirt/virsh/history 
-rw-------. 1 root root 5 Aug  6 13:18 .cache/libvirt/virsh/history

Change status to verified.
Comment 6 errata-xmlrpc 2013-02-21 02:18:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.